apiVersion: skaffold/v4beta11
kind: Config
metadata:
  name: citizen-financial-claim-process
build:
  artifacts:
    - image: registry.gitlab.com/blauwe-knop/vorderingenoverzicht/citizen-financial-claim-process
      docker:
        dockerfile: Dockerfile
  local:
    useBuildkit: true
    concurrency: 0
deploy:
  statusCheck: false
  helm:
    releases:
      - name: citizen-financial-claim-process
        chartPath: helm
        namespace: bk-source-organization-manager
        setValues:
          ingress:
            hosts:
              - host: financial-claim-request-api.demo.bk-manager.source-organization.vorderingenoverzicht.blauweknop.bk
                paths:
                  - path: /
                    pathType: Prefix
                backend:
                  service:
                    name: citizen-financial-claim-process
                    port:
                      name: http
          env:
            - name: SCHEME_DISCOVERY_URL
              value: "http://scheme-process.scheme-manager.vorderingenoverzicht.blauweknop.bk/v1"
            - name: FINANCIAL_CLAIM_REQUEST_SERVICE_ADDRESS
              value: "http://financial-claim-request-service:8008/v1"
            - name: FINANCIAL_CLAIM_REQUEST_SERVICE_API_KEY
              value: "financial-claim-request-service-api-key"
            - name: SESSION_SERVICE_ADDRESS
              value: "http://session-service:8008/v1"
            - name: SESSION_SERVICE_API_KEY
              value: "session-service-api-key"
            - name: BK_CONFIG_SERVICE_ADDRESS
              value: "http://bk-config-service:8008/v1"
            - name: BK_CONFIG_SERVICE_API_KEY
              value: "bk-config-service-api-key"
            - name: SOURCE_SYSTEM_ADDRESS
              value: "http://demo-source-system:8008/v4"
            - name: LOG_LEVEL
              value: "debug"
